.Step2 {
  width: 362px;
  position: absolute;
  top: 142px;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  letter-spacing: 0.15px;
  color: rgba(54, 54, 54, 0.87);
}

#Other {
  width: 17px;
  height: 17px;
}


.Other {
  height: 24px;
  display: inline;
}

#Else {
  margin-top: 8px;
  margin-left: 13px;
  width: 138px;
}

.Step2>h1 {
  text-shadow: 0px 4px 4px #00000040;
  /* rgba(0, 0, 0, 0.25) */
  -webkit-text-stroke: 1px black;
}

.Steps>div {
  font-family: 'Poppins';
  border: 1px solid #376FDB;
  border-radius: 50%;
  width: 33px;
  height: 33px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-style: normal;
  font-weight: 500;
  font-size: 16px;
  line-height: 24px;
  color: #376FDB;
  letter-spacing: 0em;
}

.Steps {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 33px;
  margin: 35px;
  margin-bottom: 15px;
}

.Step2 .Steps {
  filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));
}

.Steps>div:first-of-type {
  background-color: #376FDB;
  color: #FFFFFF
}

.Steps>svg {
  margin: 37px;
}

.Radio {
  margin-left: 2px;
}

.Radio>div {
  margin-left: 1px;
  margin-top: 18px;
}

.Radio label {
  margin-left: 16px;
}

select {
  margin-left: 4px;
  box-sizing: border-box;
  width: 72px;
  height: 40px;

  border: 1px solid #E0E0E0;
  border-radius: 4px;
  cursor: pointer;
  padding-left: 12px;
  color: #323232;
  background-color: #FFFFFF;

  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  background: transparent;
  background-image: url("data:image/svg+xml;utf8,<svg fill='gray' height='24' viewBox='0 0 24 24' width='24' xmlns='http://www.w3.org/2000/svg'><path d='M7 10l5 5 5-5z'/><path d='M0 0h24v24H0z' fill='none'/></svg>");
  background-repeat: no-repeat;
  background-position-x: 80%;
  background-position-y: 50%;
}

.Phone {
  margin-top: 26px;
  display: flex;
}

.Phone select {
  margin-right: 6px;
  margin-top: 25px;
}

.Radio>p {
  color: #323232;
  margin-top: 30px;
  margin-bottom: 25px;
}


.Step2 .Nav {
  margin-top: 46px;
}